Foxit PDF SDK

Public Member Functions | Static Public Attributes | List of all members
FoxitPDFSDKPython3.PDFXCompliance Class Reference
Inheritance diagram for FoxitPDFSDKPython3.PDFXCompliance:

## Public Member Functions
def | PDFXCompliance ()
| Constructor. More...
def | ConvertPDFFile (src_pdf_path, saved_pdf_path, convert_to_version, view_or_print_condition, to_convert_rgb_or_lab, to_decalibrate_gray_or_cmyk, progress_callback)
| Convert a PDF file with specified PDF/X version. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...
def | Verify (verify_version, src_pdf_path, first_page_index, last_page_index, progress_callback)
| Verify a PDF file with specified PDF/X version. More...

## Static Public Attributes
| e_VersionPDFX1a = _fsdk.PDFXCompliance_e_VersionPDFX1a
| PDF/X-1a.
| e_VersionPDFX1aCoatedGRACoL2006 = _fsdk.PDFXCompliance_e_VersionPDFX1aCoatedGRACoL2006
| PDF/X-1a (Coated GRACoL 2006).
| e_VersionPDFX1aISOCoatedv2ECI = _fsdk.PDFXCompliance_e_VersionPDFX1aISOCoatedv2ECI
| PDF/X-1a (ISO Coated v2 (ECI)).
| e_VersionPDFX1aJapanColor2001Coated = _fsdk.PDFXCompliance_e_VersionPDFX1aJapanColor2001Coated
| PDF/X-1a (Japan Color 2001 Coated).
| e_VersionPDFX1aPSOCoatedv3ECI = _fsdk.PDFXCompliance_e_VersionPDFX1aPSOCoatedv3ECI
| PDF/X-1a (PSO Coated v3 (ECI)).
| e_VersionPDFX3 = _fsdk.PDFXCompliance_e_VersionPDFX3
| PDF/X-3.
| e_VersionPDFX3CoatedGRACoL2006 = _fsdk.PDFXCompliance_e_VersionPDFX3CoatedGRACoL2006
| PDF/X-3 (Coated GRACoL 2006).
| e_VersionPDFX3ISOCoatedv2ECI = _fsdk.PDFXCompliance_e_VersionPDFX3ISOCoatedv2ECI
| PDF/X-3 (ISO Coated v2 (ECI)).
| e_VersionPDFX3JapanColor2001Coated = _fsdk.PDFXCompliance_e_VersionPDFX3JapanColor2001Coated
| PDF/X-3 (Japan Color 2001 Coated).
| e_VersionPDFX3PSOCoatedv3ECI = _fsdk.PDFXCompliance_e_VersionPDFX3PSOCoatedv3ECI
| PDF/X-3 (PSO Coated v3 (ECI)).
| e_VersionPDFX4 = _fsdk.PDFXCompliance_e_VersionPDFX4
| PDF/X-4.
| e_VersionPDFX4AndCLLVISOCoatedv2ECI = _fsdk.PDFXCompliance_e_VersionPDFX4AndCLLVISOCoatedv2ECI
| PDF/X-4 and create language layer views (ISO Coated v2 (ECI))).
| e_VersionPDFX4CoatedGRACoL2006 = _fsdk.PDFXCompliance_e_VersionPDFX4CoatedGRACoL2006
| PDF/X-4 (Coated GRACoL 2006).
| e_VersionPDFX4ISOCoatedv2ECI = _fsdk.PDFXCompliance_e_VersionPDFX4ISOCoatedv2ECI
| PDF/X-4 (ISO Coated v2 (ECI)).
| e_VersionPDFX4JapanColor2001Coated = _fsdk.PDFXCompliance_e_VersionPDFX4JapanColor2001Coated
| PDF/X-4 (Japan Color 2001 Coated).
| e_VersionPDFX4p = _fsdk.PDFXCompliance_e_VersionPDFX4p
| PDF/X-4p.
| e_VersionPDFX4PSOCoatedv3ECI = _fsdk.PDFXCompliance_e_VersionPDFX4PSOCoatedv3ECI
| PDF/X-4 (PSO Coated v3 (ECI)).

## Detailed Description

This class can be used for PDF/X compliance verification or converting a PDF file to a PDF/X format. Please ensure ComplianceEngine has been initialized successfully.

See also
  ComplianceEngine

## Constructor & Destructor Documentation

## ◆ PDFXCompliance()

def FoxitPDFSDKPython3.PDFXCompliance.PDFXCompliance | ( |  | ) |

Constructor.

Constructor, with another PDF/X compliance object.

Parameters

  [in] | other | Another PDF/X compliance object.

## Member Function Documentation

## ◆ ConvertPDFFile()

def FoxitPDFSDKPython3.PDFXCompliance.ConvertPDFFile | ( |  | src_pdf_path,
|  |  | saved_pdf_path,
|  |  | convert_to_version,
|  |  | view_or_print_condition,
|  |  | to_convert_rgb_or_lab,
|  |  | to_decalibrate_gray_or_cmyk,
|  |  | progress_callback
| ) |  |

Convert a PDF file with specified PDF/X version.

Parameters

  [in] | src_pdf_path | A complete path of source PDF file to be converted. This should not be an empty string.
  [in] | saved_pdf_path | A complete path for saving the converted PDF file. This should not be an empty string.
  [in] | convert_to_version | PDF/X version to convert. Please refer to values starting from FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1a and this should be one of these values.
  [in] | view_or_print_condition | Viewing or printing condition. Please refer to values starting from FoxitPDFSDKPython3.ComplianceEngine.e_ViewOrPrintConditionAuto and this should be one of these values.
  [in] | to_convert_rgb_or_lab | Whether to convert device independ RGB or Lab color into destination color space. true means to convert, false means not to convert. It only works if convert_to_version is not FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1a , FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1aCoatedGRACoL2006 , FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1aISOCoatedv2ECI , FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1aJapanColor2001Coated and FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1aPSOCoatedv3ECI .
  [in] | to_decalibrate_gray_or_cmyk | Whether to decalibrate device independent Gray or CMYK. true means to decalibrate, false means not to decalibrate.
  [in] | progress_callback | Progress callback which is implemented by user and can be used to get progress data. This can be null. Default value: null.

Returns
  A ResultInformation object.

## ◆ IsEmpty()

def FoxitPDFSDKPython3.PDFXCompliance.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ Verify()

def FoxitPDFSDKPython3.PDFXCompliance.Verify | ( |  | verify_version,
|  |  | src_pdf_path,
|  |  | first_page_index,
|  |  | last_page_index,
|  |  | progress_callback
| ) |  |

Verify a PDF file with specified PDF/X version.

Parameters

  [in] | verify_version | PDF/X version to verify. Please refer to values starting from FoxitPDFSDKPython3.PDFXCompliance.e_VersionPDFX1a to object.